Отказ в обслуживании в Ruby

Дата публикации:17.07.2015
Всего просмотров:1326
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:1
CVSSv2 рейтинг: 7.8 (AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C)
CVE ID: CVE-2014-6438
Вектор эксплуатации: Удаленная
Воздействие: Отказ в обслуживании
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Ruby 1.9.x
Уязвимые версии: Ruby 1.9.2 версии до 1.9.2-p330
Описание:

Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании.

Уязвимость существует из-за ошибки при обработке URI целевым приложением, использующим метод "URI.decode_www_form_component". Удаленный пользователь может вызвать отказ в обслуживании целевого приложения или исчерпать системные ресурсы.

URL производителя: ruby-lang.org
Решение: Установите последнюю версию с сайта производителя.
Ссылки: https://www.ruby-lang.org/en/news/2014/08/19/ruby-1-9-2-p330-released/